package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttStBase;
import com.goldenwater.slgc.mapper.AttStBaseMapper;
import com.goldenwater.slgc.service.StService;

/** 水文站信息 业务实现 */
@Service
public class StServiceImpl implements StService {
    @Autowired
    private AttStBaseMapper attStBaseMapper;

    @Override
    public List<AttStBase> selectAttStBaseList(AttStBase attStBase) {
        return attStBaseMapper.selectAttStBaseList(attStBase);
    }

    @Override
    public AttStBase selectAttStBaseById(String stCode) {
        return attStBaseMapper.selectAttStBaseById(stCode);
    }

    @Override
    public int deleteAttStBaseByIds(String[] stCodes) {
        return attStBaseMapper.deleteAttStBaseByIds(stCodes);
    }

    @Override
    public int insertAttStBase(AttStBase attStBase) {
        return attStBaseMapper.insertAttStBase(attStBase);
    }

    @Override
    public int updateAttStBase(AttStBase attStBase) {
        return attStBaseMapper.updateAttStBase(attStBase);
    }
}
